#!/usr/bin/env python3

import secube, getpass
import time
import sys

serialno = [1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16]

def main():

    print("NOW %d"%int(time.time()))
    devs=secube.SEcube.discover()
    print("Found %d devices"%len(devs))
    for dev in devs:
        print(dev)

    if len(devs)>0:
        cube=secube.SEcube(devs[0])
        
        cube.factoryinit(serialno)                          #serialno deve essere un vettore di 32 interi (se ho capito bene)
        cube.login(pin = '\0', access = 1000, force = True) #Il PIN deve essere una stringa (se ho capito bene) quindi per essere tutti 0 devo metterlo a '\0'
        cube.set_admin_PIN('test')                          #Setto il nuovo PIN per l'amministratore a 'test'
        cube.set_user_PIN('test')                           #Setto il nuovo PIN per l'utente a 'test'

        cube.logout()
        return 0
    
if __name__=="__main__":
    exit(main())

